API Reference
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidrevisionId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/faceless/plans/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "project_id": "string", "revision": 0, "status": "draft", "plan": { "version": "faceless-production-plan-v1", "productionProfile": "dramatic_vertical_v1", "visualMode": "generated_only", "plannerModelId": "string", "imageModelId": "string", "videoModelId": "string", "aspectRatio": "9:16", "voiceId": "string", "includeCaptions": true, "captionStyleId": "string", "generateBackgroundMusic": true, "generateSoundEffects": true, "script": "string", "styleAnchorPrompt": "string", "characters": [ { "id": "string", "name": "string", "canonicalDescription": "string", "anchorPrompt": "string" } ], "scenes": [ { "index": 0, "title": "string", "narration": "string", "originalCue": "string", "characterIds": [ "string" ], "imagePrompt": "string", "motionPrompt": "string", "startSeconds": 0, "endSeconds": 0, "durationSeconds": 0, "factualValidation": { "status": "supported", "note": "string" } } ], "costEstimate": { "unit": "credits", "planning": 0, "styleAnchor": 0, "characterAnchors": 0, "keyframes": 0, "animation": 0, "semanticActionQa": 0, "total": 0 } }, "preproduction_assets": { "collectionId": "string", "styleAnchorAssetId": "string", "characterAnchors": [ { "characterId": "string", "assetId": "string" } ], "keyframes": [ { "sceneIndex": 0, "assetId": "string", "referenceAssetIds": [ "string" ] } ], "semanticActionQa": { "version": "semantic-action-v1", "status": "passed", "evaluatedAt": "string", "scenes": [ { "assetId": "string", "sceneIndex": 0, "version": "semantic-action-v1", "status": "passed", "plannedAction": "string", "confidence": 0, "summary": "string", "detectedSubjectAction": "string", "frames": [ { "position": "early", "timeSeconds": 0 } ], "firstAnalysis": { "verdict": "pass", "earlyState": "string", "middleState": "string", "lateState": "string", "detectedSubjectAction": "string", "actionProgressionObserved": true, "cameraMotionOnly": true, "summary": "string", "confidence": 0 }, "confirmationAnalysis": { "verdict": "pass", "earlyState": "string", "middleState": "string", "lateState": "string", "detectedSubjectAction": "string", "actionProgressionObserved": true, "cameraMotionOnly": true, "summary": "string", "confidence": 0 } } ] } }, "review_options": { "style_anchor": { "label": "string", "current_asset_id": "string", "dependent_scene_indexes": [ 0 ], "estimated_regeneration_credits": 0 }, "scenes": [ { "scene_index": 0, "label": "string", "current_asset_id": "string", "estimated_regeneration_credits": 0 } ], "characters": [ { "character_id": "string", "label": "string", "current_asset_id": "string", "dependent_scene_indexes": [ 0 ], "estimated_regeneration_credits": 0 } ] }, "preproduction_job_id": "string", "generation_job_id": "string", "error": "string", "plan_approved_at": "string", "assets_approved_at": "string", "created_at": "string", "updated_at": "string"}